/*
 *	     Module : always.h
 *              pjt : all
 *      description : _df:- some short cuts 
 *
 *              ver : 1.0.1
 *	        log:
 *		     1.0   _df 15-10-2001 init coding
 *		     1.0.1 _df 25-07-2002 added edge detect & bit test macros
 *
 */

#define ulong unsigned long
#define slong   signed long 
#define sint    signed int
#define uint  unsigned int
#define uchar unsigned char


//macros
#define	PB(port,bit)		((unsigned)&(port)*8+(bit))	//for defining port pins
#define Nop()			asm("nop") 		    	//nop instruction
#define Lsb(x)		 	 (x & 0x00ff)      		//least significant byte
#define Msb(x)			((x & 0xff00)/0x100)		//most  significant byte
#define bit_tst(var,bitno)	(var & 1<<bitno)?1:0		//for checking wheter a bit within a variable is set
#define edge(cur,prev)		((cur^prev)&(!prev))		/*signal states: cur==current, prev==previous.
							 	 * returns:
							 	 * 	    0->trailing,
							 	 *          1->leading.
 							 	 */

//constants
#define OFF	0
#define NO	0

#define ON	1
#define YES	1
//-------------------------------EoF-----------------------------
