/*
 *	     Module : SA8807.c
 *              pjt : SA9903.pjt
 *      description : communicates with LCD Ctrler via SPI
 *              ver : 1.1
 *	         log:
 *		1.1 _df 28-10-2001 changes for native SPI
 *		1.0 _df 25-10-2001 init coding
 *
 */


//macros
#define lcd_on()	oLCD=ON
#define lcd_off()	oLCD=OFF

//tx lcd RAM address + write command
//i always start with RAM space0, -> 0b10A5A4A3A2A1A0 = 0x80

#define ADDR	0x80
void lcd_addr(void)
{
 if(!oLCD) lcd_on();
 
  SSPBUF= ADDR;
  while(!STAT_BF) continue;	//confirmation
  SSPIF=OFF;
  Nop();
}

void lcd_data(uchar output)
{
  STAT_BF=OFF;			//clr flag b4 tx
  SSPBUF= output;		//tx character
  while(!STAT_BF) continue;	//confirmation
  STAT_BF=OFF;
}

void lcd_reset(void)
{
 Nop();
 lcd_off();
}
//-------------------------------EoF-----------------------------
